=== debian/changelog ===
visp (2.8.0-4) unstable; urgency=medium

  * debian/tests/build: Route stderr from test to stdout (Closes: #726983).
  * Make visp-config arch-independent (Closes: #728783)
  * Update Debian policy to 3.9.5
  * Do not use pkg-kde-tools anymore.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 17 Jan 2014 15:25:16 +0900

visp (2.8.0-3) unstable; urgency=low

  * Disable libfreenect on Hurd (again)
  * Disable parallelism when running the tests suite (again)
  * Fix minor bugs remaining in 2.8.0-2
  * Relax build-dependency on libcoin to allow easy backporting
  * Add patch to fix portability issue in vpLex.c (see #723803)
  * Allow the test suite to fail on ia64 for now (Closes: #723803)
  * Build against libogre-1.9-dev while allowing 1.8 or later versions
    to ease backporting.
  * Revert "Update libsoqt4-dev dependency to ensure libcoin80 is used."
  * Add patch to fix compilation issue with Ogre 1.9

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 27 Sep 2013 09:55:59 +0900

visp (2.8.0-2) unstable; urgency=low

  * debian/control: libvisp2.8 breaks+replaces libvisp2 (Closes: #722647).
  * debian/rules: disable parallelism in tests (Closes: #722565).
  * Disable properly Freenect on hurd-i386

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 13 Sep 2013 11:22:16 +0900

visp (2.8.0-1) unstable; urgency=low

  * Import new upstream release 2.8.0.
  * Abandon symbols file support.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 25 Jul 2013 11:24:53 +0900

visp (2.7.0-5) unstable; urgency=low

  * Look for and compile against Boost.System when Ogre is used.
  * Disable libv4l-dev dependecy on hurd-i386.
  * Build documentation in override_dh_auto_build-indep.
  * Run tests but ignore failures for now.
  * Enable test suite, make package depend on visp-images-data.
  * Add autopkgtest support.
  * Add autopkgtest "build" test: compile a minimal test.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 13 Jun 2013 11:47:20 +0900

visp (2.7.0-4) unstable; urgency=low

  * debian/rules: fix compilation on non-linux platforms
    by disabling optional features which are not available locally.
  * debian/libvisp2.symbols: update symbols using pkgkde-symbolshelper and
    the result of 2.7.0-3 compilation on buildd.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Sun, 09 Jun 2013 20:00:48 +0900

visp (2.7.0-3) unstable; urgency=low

  * Do not package usr/share/visp/ViSP-third-party.txt (Closes: #707755).
  * Install vpConfig.h in include/<architecture triplet> (Closes: #707754).
  * Update CMake-related files for multiarch support and install them
    in usr/lib/<arch>/visp.
  * Update from libcoin60 to libcoin80.
  * debian/control: Refer to git.debian.org repository in Vcs-* fields.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Wed, 15 May 2013 14:47:32 +0900

visp (2.7.0-2) unstable; urgency=low

  * Update symbols file for armel, armhf, i386, ia64, mips, mipsel,
    powerpc, s390, s390x, sparc architectures using pkgkde-getbuildlogs
    (Closes: #704719).
  * Disable opencv support on sparc64 and x32.
  * Disable OGRE support on sh4.
  * Disable libdc1394 support on all non-linux platforms.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Fri, 26 Apr 2013 10:47:10 +0900

visp (2.7.0-1) unstable; urgency=low

  * New upstream release.
  * Use pkg-kde-tools to handle library symbols.
  * Depend on OGRE v1.8 instead of 1.7 (Closes: #704783).
  * Backport pkg-config support from upstream to add multiarch support
    for development package (libvisp-dev).
  * Backport from upstream various minors bug fix detected by cppcheck.
  * Depend on libois-dev on Linux only.
  * Remove all patches from 2.6.2-1 as the new upstream release fixes these
    issues.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Thu, 25 Apr 2013 15:03:05 +0900

visp (2.6.2-1) unstable; urgency=low

  * Import new upstream version 2.6.2 (Closes: #691252).
  * Add patch to rename libvisp-2.so into libvisp.so.
  * Add patch to support multiarch (avoid making the assumption that
    $prefix/lib is the library directory but use $libdir instead).
  * Add patch that fix typos in source code.
  * Provide visp-config man page.

 -- Thomas Moulard <thomas.moulard@gmail.com>  Tue, 04 Dec 2012 10:59:26 +0900
