=== debian/control ===
Source: visp
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>
Section: libs
Priority: extra
Build-Depends: debhelper (>= 9),
               cmake,
               doxygen,
               doxygen-latex,
               libopencv-dev [!any-sparc64 !x32],
               liblapack-dev,
               libcoin80-dev | libcoin60-dev,
               libsoqt4-dev,
               libogre-1.9-dev [!any-sh4] | libogre-1.8-dev [!any-sh4] | libogre-dev [!any-sh4],
               libdc1394-22-dev [linux-any],
               libxml2-dev,
               libjpeg-dev,
               libpng-dev,
               graphviz,
               libswscale-dev,
               libavutil-dev,
               libavformat-dev,
               libavcodec-dev,
               libbz2-dev,
               libx11-dev,
               libv4l-dev [!hurd-any],
               libusb-dev,
               libfreenect-dev [!hurd-any],
               libois-dev [linux-any],
	       visp-images-data
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/visp.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/visp.git
Homepage: http://www.irisa.fr/lagadic/visp/visp.html
XS-Testsuite: autopkgtest

Package: libvisp-dev
Architecture: any
Section: libdevel
Depends: libopencv-dev [!any-sparc64 !x32],
         liblapack-dev,
         libcoin80-dev | libcoin60-dev,
         libsoqt4-dev,
         libogre-1.9-dev [!any-sh4] | libogre-1.8-dev [!any-sh4] | libogre-dev [!any-sh4],
         libdc1394-22-dev [linux-any],
         libxml2-dev,
         libjpeg-dev,
         libpng-dev,
         libswscale-dev,
         libavutil-dev,
         libavformat-dev,
         libavcodec-dev,
         libbz2-dev,
         libx11-dev,
         libv4l-dev [!hurd-any],
         libusb-dev,
         libfreenect-dev [!hurd-any],
         libois-dev [linux-any],
         libvisp2.8 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libvisp-doc
Multi-Arch: same
Description: visual servoing library - development files
 ViSP, standing for Visual Servoing Platform, is unique. This software
 is a complete cross-platform solution that allows prototyping and
 developing applications in visual tracking and visual servoing.
 .
 ViSP can be useful in robotics, computer vision, augmented reality and
 computer animation.
 .
 This package contains development files (headers and shared library
 symbolic link).

Package: libvisp2.8
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libvisp2
Breaks: libvisp2
Description: visual servoing library
 ViSP, standing for Visual Servoing Platform, is unique. This software
 is a complete cross-platform solution that allows prototyping and
 developing applications in visual tracking and visual servoing.
 .
 ViSP can be useful in robotics, computer vision, augmented reality and
 computer animation.

Package: libvisp2.8-dbg
Architecture: any
Section: debug
Depends: libvisp2.8 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: visual servoing library - debugging symbols
 ViSP, standing for Visual Servoing Platform, is unique. This software
 is a complete cross-platform solution that allows prototyping and
 developing applications in visual tracking and visual servoing.
 .
 ViSP can be useful in robotics, computer vision, augmented reality and
 computer animation.
 .
 This package contains the debugging symbols for the shared libraries.

Package: libvisp-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: visual servoing library - documentation
 ViSP, standing for Visual Servoing Platform, is unique. This software
 is a complete cross-platform solution that allows prototyping and
 developing applications in visual tracking and visual servoing.
 .
 ViSP can be useful in robotics, computer vision, augmented reality and
 computer animation.
 .
 This package contains the Doxygen generated documentation.
